Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005310TestLinkUsers and Rightspublic2012-10-27 07:452013-05-22 20:57
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005310: Execution Config - convert options into rights
DescriptionOption: $tlCfg->exec_cfg->can_delete_execution = DISABLED;
Will become right: exec_delete

Option: $tlCfg->exec_cfg->edit_notes = DISABLED;
Will become right: exec_edit_notes
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005311closedfman Test plan & Test project Config - convert options into rights 
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018451)
fman (administrator)
2013-03-17 11:31
edited on: 2013-03-17 11:34

FOR 1.9.6
In addition to fix that can be got from gitoriuos
(http://gitorious.org/testlink-ga/testlink-code/commit/de66ce432a9c70801e14672b210050dcc1517fb0 [^])

User need to add following records to right table
INSERT INTO /*prefix*/rights (id,description) VALUES (35,'exec_edit_notes');
INSERT INTO /*prefix*/rights (id,description) VALUES (36,'exec_delete');


- Issue History
Date Modified Username Field Change
2012-10-27 07:45 fman New Issue
2012-10-27 07:45 fman Status new => assigned
2012-10-27 07:45 fman Assigned To => fman
2012-10-27 17:17 fman Issue cloned: 0005311
2012-10-27 17:17 fman Relationship added related to 0005311
2013-03-17 11:31 fman Note Added: 0018451
2013-03-17 11:31 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-03-17 11:31 fman Status assigned => resolved
2013-03-17 11:31 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-03-17 11:31 fman Resolution open => fixed
2013-03-17 11:31 fman Relationship added child of 0005551
2013-03-17 11:34 fman Note Edited: 0018451 View Revisions
2013-05-22 20:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker